OpenPanelDocs

Get Insights By Project Id Events

Query events with optional filters for date range, profile, and properties.

GET
/insights/{projectId}/events

Query events with optional filters for date range, profile, and properties.

Path Parameters

projectId*string

Query Parameters

startDate?string
endDate?string
range?string
Value in"30min""lastHour""last24h""today""yesterday""7d""30d""3m""6m""12m""monthToDate""lastMonth""yearToDate""lastYear""custom"
eventNames?array<string>|string
path?string
country?string
city?string
device?string
browser?string
os?string
referrer?string
referrerName?string
referrerType?string
profileId?string
properties?
filters?array<>
limit?integer
Range1 <= value <= 100
Default20
Example Request
curl -X GET 'https://api.openpanel.dev/insights/string/events'